Page MenuHomePhabricator

Off board Adam Wight
Closed, ResolvedPublic

Description

  • update LDAP permissions based on NDA status
  • update Phabricator permissions based on NDA status
  • Check HBase/Haddoop permissions and inform the SRE analytics team
  • update user in modules/admin/data/data.yaml

Gerrit groups

GroupGroup owerPublic group?
AhoCorasickAhoCorasicktrue
AnalyticsAdministratorstrue
analytics-analytics.wikimedia.orgGerrit Managerstrue
analytics-camusanalytics-camustrue
analytics-dashikiAdministratorstrue
analytics-global-dev-dashboard-dataAdministratorstrue
analytics-limnAdministratorstrue
analytics-metricsAdministratorstrue
analytics-wikihadoopAdministratorstrue
at-easeat-easetrue
base-convertAdministratorstrue
CLDRPluralRuleParserAdministratorstrue
editor-engagementeditor-engagementtrue
eventloggingeventloggingfalse
extension-ArticleCreationWorkflowAdministratorstrue
extension-ArticleFeedbackv5Administratorstrue
extension-ChangeAuthorGerrit Managerstrue
extension-ClickTrackingAdministratorstrue
extension-DjangoAnalyticsAdministratorstrue
extension-E3ExperimentsAdministratorstrue
extension-EchoAdministratorstrue
extension-FundraisingTranslateWorkflowAdministratorstrue
extension-IdsGerrit Managerstrue
extension-JADEextension-JADEtrue
extension-LastModifiedAdministratorstrue
extension-MobileFrontendextension-MobileFrontendtrue
extension-MoodBarextension-MoodBartrue
extension-MwEmbedSupportAdministratorstrue
extension-NonlinearAdministratorstrue
extension-OfflineAdministratorstrue
extension-ORESAdministratorstrue
extension-PageTriageAdministratorstrue
extension-Parsoidextension-Parsoidtrue
extension-ProtectedTitlesAdministratorstrue
extension-TimedMediaHandlerAdministratorstrue
extension-UploadWizardAdministratorstrue
extension-Wigo3extension-Wigo3false
extension-WikibaseCirrusSearchextension-WikibaseCirrusSearchtrue
extension-WikibaseLexemeCirrusSearchextension-WikibaseLexemeCirrusSearchtrue
extension-WikiEduDashboardAdministratorstrue
extension-WorkflowAdministratorstrue
glamglamtrue
IPSetIPSettrue
libs-XMPReaderlibs-XMPReaderfalse
LoginUsersGerrit Managerstrue
lolrritlolrrittrue
marvinGerrit Managerstrue
mediawikiAdministratorstrue
mediawiki-php-normalAdministratorstrue
mediawiki-trainingmediawiki-trainingtrue
mwdumperAdministratorstrue
node-rdkafka-statsGerrit Managerstrue
operations-debs-phantomjsAdministratorstrue
performance-bttostatsvperformance-bttostatsvtrue
performanceperformancetrue
purtleGerrit Managerstrue
qaAdministratorstrue
research-oresresearch-oresfalse
research-recommendation-apiresearch-recommendation-apifalse
researchresearchtrue
RunningStatRunningStattrue
Translatewiki.netTranslatewiki.nettrue
Trusted-ContributorsTrusted-Contributorstrue
Trusted-UsersAdministratorsfalse
utfnormalAdministratorstrue
webplatform.orgwebplatform.orgtrue
wikidata-query-blazegraphAdministratorstrue
wikimedia-education-WikiEduDashboardAdministratorstrue
wikimedia-fundraising-civicrm-buildkitAdministratorstrue
wikimedia-fundraising-civicrm-buildkit-vendorAdministratorstrue
wikimedia-fundraising-civicrm-buildkit-vendor-totten-ampAdministratorstrue
wikimedia-fundraising-civicrm-buildkit-vendor-totten-git-scanAdministratorstrue
wikimedia-fundraising-civicrm-coreAdministratorstrue
wikimedia-fundraising-civicrm-drupalAdministratorstrue
wikimedia-fundraising-civicrm-joomlaAdministratorstrue
wikimedia-fundraising-civicrm-packagesAdministratorstrue
wikimedia-fundraising-civicrm-wordpressAdministratorstrue
wikimedia-fundraising-FineDiffAdministratorstrue
wikimedia-fundraising-LanguageTagAdministratorstrue
wikimedia-fundraising-php-queueAdministratorstrue
wikimedia-fundraising-process-controlGerrit Managerstrue
wikimedia-fundraising-slanderwikimedia-fundraising-slandertrue
wikimedia-fundraising-statsGerrit Managerstrue
wikimedia-lucene-explain-parserwikimedia-lucene-explain-parsertrue
wikimedia-portalsAdministratorstrue
wmf-deploymentwmf-deploymenttrue

Gerrit groups he is an owner of:

AhoCorasick
IPSet
RunningStat
Translatewiki.net
Trusted-Contributors
analytics-camus
at-ease
editor-engagement
eventlogging
extension-JADE
extension-MobileFrontend
extension-MoodBar
extension-Parsoid
extension-Wigo3
extension-WikibaseCirrusSearch
extension-WikibaseLexemeCirrusSearch
glam
libs-XMPReader
lolrrit
mediawiki-training
performance
performance-bttostatsv
research
research-ores
research-recommendation-api
webplatform.org
wikimedia-fundraising-slander
wikimedia-lucene-explain-parser
wmf-deployment

Event Timeline

jbond created this task.Feb 25 2019, 9:48 AM
jbond triaged this task as Normal priority.Mar 4 2019, 2:45 PM
elukey added a subscriber: elukey.EditedMar 4 2019, 2:49 PM

Files owned:

====== stat1004 ======
total 4
drwxrwxr-x 3 awight wikidev 4096 Dec 19 19:38 ores-split-hadoop

====== stat1006 ======
total 18716
-rw-r--r--  1 awight wikidev     2216 Apr 24  2018 0001-Fix-command-line-syntax.patch
-rw-rw-r--  1 awight wikidev    10902 Jul 31  2017 a
drwxrwxr-x 13 awight wikidev     4096 Apr 18  2018 articlequality
-rw-rw-r--  1 awight wikidev     7301 Jul 31  2017 b
-rw-rw-r--  1 awight wikidev 19114645 Aug  1  2017 c
drwxrwxr-x 11 awight wikidev     4096 Jun 12  2018 draftquality
drwxrwxr-x 13 awight wikidev     4096 Aug  6  2018 editquality
-rw-rw-r--  1 awight wikidev     1915 Aug  1  2017 fiwiki.sql
drwxr-xr-x  3 awight wikidev     4096 Sep  2  2015 nltk_data
drwxrwxr-x  6 awight wikidev     4096 Apr 17  2018 venv

====== stat1007 ======
total 32
-rw-rw-r--  1 awight wikidev 7948 Jan  8 22:14 0001-squash-dumps.patch
-rw-rw-r--  1 awight wikidev 4107 Jan 10 09:34 a
drwxrwxr-x 10 awight wikidev 4096 Jan 10 19:00 analytics-refinery
drwxrwxr-x  7 awight wikidev 4096 Jan  8 20:26 analytics-refinery.git
-rw-rw-r--  1 awight wikidev   85 Dec 21  2016 notes
drwxrwxr-x  2 awight wikidev 4096 Jan  8 20:29 old

====== notebook1003 ======
total 0

====== notebook1004 ======
total 4
drwxr-xr-x 7 awight wikidev 4096 Jul  5  2018 venv

======= HDFS ========
Picked up JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF-8
Found 7 items
drwx------   - awight awight          0 2019-02-10 00:00 /user/awight/.Trash
drwx------   - awight awight          0 2019-02-06 18:15 /user/awight/.staging
drwxr-xr-x   - awight awight          0 2019-01-08 23:45 /user/awight/event
drwxr-xr-x   - awight awight          0 2019-01-10 18:36 /user/awight/oozie
drwxr-xr-x   - awight awight          0 2019-02-06 18:15 /user/awight/oozie-oozi
drwxr-xr-x   - awight awight          0 2019-01-10 17:59 /user/awight/ores
drwxr-xr-x   - awight awight          0 2019-01-08 23:05 /user/awight/wmf

@Halfak (let me know if you are not the best point of contact for this question) - Anything that is worth to keep/save or can we delete all?

EDIT: I didn't see the parent task, will wait for the next steps about Adam's credentials :)

EDIT 2: @awight, if you have time can you please check the above files and let me know if anything needs to be kept/saved?

hashar updated the task description. (Show Details)Mar 27 2019, 1:17 PM
jbond added a comment.Apr 8 2019, 12:26 PM

awight is remaining as a vluntear and has signed the NDA. I have created a subtask and tagged analytics to chgeck the dir for PPI stuff as per the off boarding doc[1]

[1]https://wikitech.wikimedia.org/wiki/Ops_Offboarding#convert_user_to_a_Volunteer_account

Change 502766 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Update email adress for awight

https://gerrit.wikimedia.org/r/502766

Change 502766 merged by Muehlenhoff:
[operations/puppet@production] Update email adress for awight

https://gerrit.wikimedia.org/r/502766

jbond closed this task as Resolved.Apr 18 2019, 10:00 AM